Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZLinkCategory Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| update ()
| delete ( $id=-1)
| get ( $id)
& | path ( $categoryID=0)
& | getTotalIncomingLinks ()
& | getAll ()
& | getTree ( $parentID=0, $level=0)
| links ( $offset=0, $limit=30, $fetchUnAccepted=false, $id=-1, $idOnly=false)
| linkCount ( $fetchUnAccepted=false)
| id ()
| sectionID ()
| setName (&$value)
| setDescription (&$value)
| setParent ( $value)
| setSectionID ( $value)
| name ()
| description ()
| parent ()
| setImage ( $value)
& | image ()
| deleteImage ()

## Static Public Member Functions
static | removeLink ( $value, $categoryid=false)
static | addLink ( $value, $categoryid=false)
| getByParent ( $value, $idOnly=false, $recursive=false)
| sectionIDStatic ($categoryID)

## Public Attributes
| $ID
| $Name
| $Description
| $Parent
| $ImageID
| $SectionID

## Detailed Description

! eZLink The eZLinkCategory class handles URL links.

Definition at line 36 of file ezlinkcategory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZLinkCategory::__construct | ( |  | $id = `-1` | ) |

Constructor

Definition at line 41 of file ezlinkcategory.php.

References $id, and $ID.

## Member Function Documentation

## ◆ addLink()

static eZLinkCategory::addLink | ( |  | $value,
|  |  | $categoryid = `false`
| ) |  |
| static

Add a link to the database.

Definition at line 139 of file ezlinkcategory.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ delete()

eZLinkCategory::delete | ( |  | $id = `-1` | ) |

Delete from database.

Delete from database.

Definition at line 194 of file ezlinkcategory.php.

References $categories, $category, $db, $id, $ID, $link, $links, $res, eZDB\finish(), getByParent(), eZDB\globalDatabase(), and links().

## ◆ deleteImage()

eZLinkCategory::deleteImage | ( |  | ) |

Delete the current image that belong to this eZLinkGroup object.

Definition at line 587 of file ezlinkcategory.php.

References $db, $image, $item, $result, and eZDB\globalDatabase().

## ◆ description()

eZLinkCategory::description | ( |  | ) |

Return the name of the link.

Definition at line 538 of file ezlinkcategory.php.

## ◆ get()

eZLinkCategory::get | ( |  | $id | ) |

Fetch out a group from the database.

Definition at line 240 of file ezlinkcategory.php.

References $db, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZLinkCategory::getAll | ( |  | ) |

Fetch everything.

Definition at line 346 of file ezlinkcategory.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ getByParent()

eZLinkCategory::getByParent | ( |  | $value,
|  |  | $idOnly = `false`,
|  |  | $recursive = `false`
| ) |  |
| static

Fetch out parent.

Definition at line 299 of file ezlinkcategory.php.

References $db, $i, $id, and eZDB\globalDatabase().

Referenced by delete().

## ◆ getTotalIncomingLinks()

& eZLinkCategory::getTotalIncomingLinks | ( |  | ) |

Return the count of links in incoming.

Definition at line 332 of file ezlinkcategory.php.

References $count, $db, and eZDB\globalDatabase().

## ◆ getTree()

& eZLinkCategory::getTree | ( |  | $parentID = `0`,
|  |  | $level = `0`
| ) |  |

Fetch everything and return the result in a tree.

Definition at line 365 of file ezlinkcategory.php.

References $category, $categoryList, $level, and $tree.

## ◆ id()

eZLinkCategory::id | ( |  | ) |

Return the id of the group.

Definition at line 456 of file ezlinkcategory.php.

References $ID.

Referenced by links().

## ◆ image()

& eZLinkCategory::image | ( |  | ) |

Returns the image id.

Definition at line 573 of file ezlinkcategory.php.

References $ret.

## ◆ linkCount()

eZLinkCategory::linkCount | ( |  | $fetchUnAccepted = `false` | ) |

Returns the total numbers of links in the current category.

Definition at line 432 of file ezlinkcategory.php.

References $db, $query, and eZDB\globalDatabase().

## ◆ links()

eZLinkCategory::links | ( |  | $offset = `0`,
|  |  | $limit = `30`,
|  |  | $fetchUnAccepted = `false`,
|  |  | $id = `-1`,
|  |  | $idOnly = `false`
| ) |  |

Returns all the links in the current category. If limit or offset is set to -1 all links are returned.

Default limit is set to 30.

Definition at line 391 of file ezlinkcategory.php.

References $db, $id, $limit, $link, $offset, $query, eZDB\globalDatabase(), and id().

Referenced by delete().

## ◆ name()

eZLinkCategory::name | ( |  | ) |

Return the name of the link.

Definition at line 524 of file ezlinkcategory.php.

References $Name, and Name.

## ◆ parent()

eZLinkCategory::parent | ( |  | ) |

Return the parent id of the group.

Definition at line 547 of file ezlinkcategory.php.

References $Parent.

## ◆ path()

& eZLinkCategory::path | ( |  | $categoryID = `0` | ) |

Print out the group path.

Definition at line 262 of file ezlinkcategory.php.

References $category, $categoryID, and $ID.

## ◆ removeLink()

static eZLinkCategory::removeLink | ( |  | $value,
|  |  | $categoryid = `false`
| ) |  |
| static

Remove links from the database.

Definition at line 117 of file ezlinkcategory.php.

References $db.

## ◆ sectionID()

eZLinkCategory::sectionID | ( |  | ) |

Returns the section of the category

Definition at line 467 of file ezlinkcategory.php.

References $SectionID.

## ◆ sectionIDStatic()

eZLinkCategory::sectionIDStatic | ( |  | $categoryID | ) |
| static

Returns the Section ID. Returns false if the Category was not found.

Definition at line 476 of file ezlinkcategory.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ setDescription()

eZLinkCategory::setDescription | ( | & | $value | ) |

Sets the description of a group.

Definition at line 500 of file ezlinkcategory.php.

## ◆ setImage()

eZLinkCategory::setImage | ( |  | $value | ) |

Set an image for this category.

Definition at line 558 of file ezlinkcategory.php.

## ◆ setName()

eZLinkCategory::setName | ( | & | $value | ) |

Sets the name of a group.

Definition at line 492 of file ezlinkcategory.php.

References Name.

## ◆ setParent()

eZLinkCategory::setParent | ( |  | $value | ) |

Sets the parentID of a group.

Definition at line 508 of file ezlinkcategory.php.

## ◆ setSectionID()

eZLinkCategory::setSectionID | ( |  | $value | ) |

Sets the section of the category

Definition at line 516 of file ezlinkcategory.php.

## ◆ store()

eZLinkCategory::store | ( |  | ) |

Saves a group to the database.

Definition at line 54 of file ezlinkcategory.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## ◆ update()

eZLinkCategory::update | ( |  | ) |

Update the database.

Definition at line 91 of file ezlinkcategory.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $Description

eZLinkCategory::$Description

Definition at line 604 of file ezlinkcategory.php.

## ◆ $ID

eZLinkCategory::$ID

Definition at line 602 of file ezlinkcategory.php.

Referenced by __construct(), delete(), id(), and path().

## ◆ $ImageID

eZLinkCategory::$ImageID

Definition at line 606 of file ezlinkcategory.php.

## ◆ $Name

eZLinkCategory::$Name

Definition at line 603 of file ezlinkcategory.php.

Referenced by name().

## ◆ $Parent

eZLinkCategory::$Parent

Definition at line 605 of file ezlinkcategory.php.

Referenced by parent().

## ◆ $SectionID

eZLinkCategory::$SectionID

Definition at line 607 of file ezlinkcategory.php.

Referenced by sectionID().

The documentation for this class was generated from the following file:

- ezlinkcategory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.